#line 9 "conf/confbase.Y"


#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

#line 9 "conf/flowspec.Y"


#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


#line 11 "filter/config.Y"


#include "filter/f-inst.h"
#include "filter/data.h"

#line 10 "nest/config.Y"


#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

#line 10 "nest/mpls.Y"


#include "nest/mpls.h"

#line 11 "proto/aggregator/config.Y"


#include "proto/aggregator/aggregator.h"

#line 8 "proto/bfd/config.Y"


#include "proto/bfd/bfd.h"

#line 13 "proto/babel/config.Y"


#include "proto/babel/babel.h"
#include "nest/iface.h"

#line 9 "proto/bgp/config.Y"


#include "proto/bgp/bgp.h"

#line 10 "proto/l3vpn/config.Y"


#include "proto/l3vpn/l3vpn.h"


#line 10 "proto/mrt/config.Y"


#include "proto/mrt/mrt.h"

#line 9 "proto/ospf/config.Y"


#include "proto/ospf/ospf.h"

#line 9 "proto/perf/config.Y"


#include "filter/filter.h"
#include "proto/perf/perf.h"

#line 9 "proto/pipe/config.Y"


#include "proto/pipe/pipe.h"

#line 10 "proto/radv/config.Y"


#include "proto/radv/radv.h"

#line 12 "proto/rip/config.Y"


#include "proto/rip/rip.h"
#include "nest/iface.h"

#line 9 "proto/rpki/config.Y"


#include "proto/rpki/rpki.h"

#line 9 "proto/static/config.Y"


#include "proto/static/static.h"

#line 9 "sysdep/linux/netlink.Y"


#line 9 "sysdep/unix/config.Y"


#include "sysdep/unix/unix.h"
#include <stdio.h>

#line 9 "sysdep/unix/krt.Y"


#include "sysdep/unix/krt.h"

#line 44 "conf/gen_keywords.m4"

#line 44
static const struct keyword keyword_list[] = {
#line 141 "conf/confbase.Y"
{ "define", DEFINE },
#line 141 "conf/confbase.Y"
{ "on", ON },
#line 141 "conf/confbase.Y"
{ "off", OFF },
#line 141 "conf/confbase.Y"
{ "yes", YES },
#line 141 "conf/confbase.Y"
{ "no", NO },
#line 141 "conf/confbase.Y"
{ "s", S },
#line 141 "conf/confbase.Y"
{ "ms", MS },
#line 141 "conf/confbase.Y"
{ "us", US },
#line 141 "conf/confbase.Y"
{ "port", PORT },
#line 141 "conf/confbase.Y"
{ "vpn", VPN },
#line 141 "conf/confbase.Y"
{ "mpls", MPLS },
#line 141 "conf/confbase.Y"
{ "from", FROM },
#line 141 "conf/confbase.Y"
{ "max", MAX },
#line 141 "conf/confbase.Y"
{ "as", AS },
#line 27 "conf/flowspec.Y"
{ "flow4", FLOW4 },
#line 27 "conf/flowspec.Y"
{ "flow6", FLOW6 },
#line 27 "conf/flowspec.Y"
{ "dst", DST },
#line 27 "conf/flowspec.Y"
{ "src", SRC },
#line 27 "conf/flowspec.Y"
{ "proto", PROTO },
#line 27 "conf/flowspec.Y"
{ "next", NEXT },
#line 27 "conf/flowspec.Y"
{ "header", HEADER },
#line 27 "conf/flowspec.Y"
{ "dport", DPORT },
#line 27 "conf/flowspec.Y"
{ "sport", SPORT },
#line 27 "conf/flowspec.Y"
{ "icmp", ICMP },
#line 27 "conf/flowspec.Y"
{ "type", TYPE },
#line 27 "conf/flowspec.Y"
{ "code", CODE },
#line 27 "conf/flowspec.Y"
{ "tcp", TCP },
#line 27 "conf/flowspec.Y"
{ "flags", FLAGS },
#line 27 "conf/flowspec.Y"
{ "length", LENGTH },
#line 27 "conf/flowspec.Y"
{ "dscp", DSCP },
#line 27 "conf/flowspec.Y"
{ "dont_fragment", DONT_FRAGMENT },
#line 27 "conf/flowspec.Y"
{ "is_fragment", IS_FRAGMENT },
#line 27 "conf/flowspec.Y"
{ "first_fragment", FIRST_FRAGMENT },
#line 27 "conf/flowspec.Y"
{ "last_fragment", LAST_FRAGMENT },
#line 27 "conf/flowspec.Y"
{ "fragment", FRAGMENT },
#line 27 "conf/flowspec.Y"
{ "label", LABEL },
#line 27 "conf/flowspec.Y"
{ "offset", OFFSET },
#line 9 "client/cmds.Y"
{ "quit", QUIT },
#line 10 "client/cmds.Y"
{ "exit", EXIT },
#line 11 "client/cmds.Y"
{ "help", HELP },
#line 357 "filter/config.Y"
{ "in", IN },
#line 358 "filter/config.Y"
{ "function", FUNCTION },
#line 358 "filter/config.Y"
{ "print", PRINT },
#line 358 "filter/config.Y"
{ "printn", PRINTN },
#line 358 "filter/config.Y"
{ "unset", UNSET },
#line 358 "filter/config.Y"
{ "return", RETURN },
#line 358 "filter/config.Y"
{ "accept", ACCEPT },
#line 358 "filter/config.Y"
{ "reject", REJECT },
#line 358 "filter/config.Y"
{ "error", ERROR },
#line 358 "filter/config.Y"
{ "int", INT },
#line 358 "filter/config.Y"
{ "bool", BOOL },
#line 358 "filter/config.Y"
{ "ip", IP },
#line 358 "filter/config.Y"
{ "prefix", PREFIX },
#line 358 "filter/config.Y"
{ "rd", RD },
#line 358 "filter/config.Y"
{ "pair", PAIR },
#line 358 "filter/config.Y"
{ "quad", QUAD },
#line 358 "filter/config.Y"
{ "ec", EC },
#line 358 "filter/config.Y"
{ "lc", LC },
#line 358 "filter/config.Y"
{ "set", SET },
#line 358 "filter/config.Y"
{ "string", STRING },
#line 358 "filter/config.Y"
{ "bytestring", BYTESTRING },
#line 358 "filter/config.Y"
{ "bgpmask", BGPMASK },
#line 358 "filter/config.Y"
{ "bgppath", BGPPATH },
#line 358 "filter/config.Y"
{ "clist", CLIST },
#line 358 "filter/config.Y"
{ "eclist", ECLIST },
#line 358 "filter/config.Y"
{ "lclist", LCLIST },
#line 358 "filter/config.Y"
{ "if", IF },
#line 358 "filter/config.Y"
{ "then", THEN },
#line 358 "filter/config.Y"
{ "else", ELSE },
#line 358 "filter/config.Y"
{ "case", CASE },
#line 358 "filter/config.Y"
{ "for", FOR },
#line 358 "filter/config.Y"
{ "do", DO },
#line 358 "filter/config.Y"
{ "true", TRUE },
#line 358 "filter/config.Y"
{ "false", FALSE },
#line 358 "filter/config.Y"
{ "rt", RT },
#line 358 "filter/config.Y"
{ "ro", RO },
#line 358 "filter/config.Y"
{ "unknown", UNKNOWN },
#line 358 "filter/config.Y"
{ "generic", GENERIC },
#line 358 "filter/config.Y"
{ "gw", GW },
#line 358 "filter/config.Y"
{ "net", NET },
#line 358 "filter/config.Y"
{ "source", SOURCE },
#line 358 "filter/config.Y"
{ "scope", SCOPE },
#line 358 "filter/config.Y"
{ "dest", DEST },
#line 358 "filter/config.Y"
{ "ifname", IFNAME },
#line 358 "filter/config.Y"
{ "ifindex", IFINDEX },
#line 358 "filter/config.Y"
{ "weight", WEIGHT },
#line 358 "filter/config.Y"
{ "gw_mpls", GW_MPLS },
#line 358 "filter/config.Y"
{ "gw_mpls_stack", GW_MPLS_STACK },
#line 358 "filter/config.Y"
{ "onlink", ONLINK },
#line 358 "filter/config.Y"
{ "preference", PREFERENCE },
#line 358 "filter/config.Y"
{ "roa_check", ROA_CHECK },
#line 358 "filter/config.Y"
{ "defined", DEFINED },
#line 358 "filter/config.Y"
{ "add", ADD },
#line 358 "filter/config.Y"
{ "delete", DELETE },
#line 358 "filter/config.Y"
{ "reset", RESET },
#line 358 "filter/config.Y"
{ "prepend", PREPEND },
#line 358 "filter/config.Y"
{ "empty", EMPTY },
#line 358 "filter/config.Y"
{ "filter", FILTER },
#line 358 "filter/config.Y"
{ "where", WHERE },
#line 358 "filter/config.Y"
{ "eval", EVAL },
#line 358 "filter/config.Y"
{ "attribute", ATTRIBUTE },
#line 358 "filter/config.Y"
{ "from_hex", FROM_HEX },
#line 358 "filter/config.Y"
{ "bt_assert", BT_ASSERT },
#line 358 "filter/config.Y"
{ "bt_test_suite", BT_TEST_SUITE },
#line 358 "filter/config.Y"
{ "bt_check_assign", BT_CHECK_ASSIGN },
#line 358 "filter/config.Y"
{ "bt_test_same", BT_TEST_SAME },
#line 358 "filter/config.Y"
{ "format", FORMAT },
#line 116 "nest/config.Y"
{ "router", ROUTER },
#line 116 "nest/config.Y"
{ "id", ID },
#line 116 "nest/config.Y"
{ "hostname", HOSTNAME },
#line 116 "nest/config.Y"
{ "protocol", PROTOCOL },
#line 116 "nest/config.Y"
{ "template", TEMPLATE },
#line 116 "nest/config.Y"
{ "disabled", DISABLED },
#line 116 "nest/config.Y"
{ "debug", DEBUG },
#line 116 "nest/config.Y"
{ "all", ALL },
#line 116 "nest/config.Y"
{ "direct", DIRECT },
#line 117 "nest/config.Y"
{ "interface", INTERFACE },
#line 117 "nest/config.Y"
{ "import", IMPORT },
#line 117 "nest/config.Y"
{ "export", EXPORT },
#line 117 "nest/config.Y"
{ "none", NONE },
#line 117 "nest/config.Y"
{ "vrf", VRF },
#line 117 "nest/config.Y"
{ "default", DEFAULT },
#line 117 "nest/config.Y"
{ "table", TABLE },
#line 117 "nest/config.Y"
{ "tables", TABLES },
#line 117 "nest/config.Y"
{ "states", STATES },
#line 117 "nest/config.Y"
{ "routes", ROUTES },
#line 117 "nest/config.Y"
{ "filters", FILTERS },
#line 118 "nest/config.Y"
{ "ipv4", IPV4 },
#line 118 "nest/config.Y"
{ "ipv6", IPV6 },
#line 118 "nest/config.Y"
{ "vpn4", VPN4 },
#line 118 "nest/config.Y"
{ "vpn6", VPN6 },
#line 118 "nest/config.Y"
{ "roa4", ROA4 },
#line 118 "nest/config.Y"
{ "roa6", ROA6 },
#line 118 "nest/config.Y"
{ "sadr", SADR },
#line 119 "nest/config.Y"
{ "receive", RECEIVE },
#line 119 "nest/config.Y"
{ "limit", LIMIT },
#line 119 "nest/config.Y"
{ "action", ACTION },
#line 119 "nest/config.Y"
{ "warn", WARN },
#line 119 "nest/config.Y"
{ "block", BLOCK },
#line 119 "nest/config.Y"
{ "restart", RESTART },
#line 119 "nest/config.Y"
{ "disable", DISABLE },
#line 119 "nest/config.Y"
{ "keep", KEEP },
#line 119 "nest/config.Y"
{ "filtered", FILTERED },
#line 119 "nest/config.Y"
{ "rpki", RPKI },
#line 120 "nest/config.Y"
{ "password", PASSWORD },
#line 120 "nest/config.Y"
{ "key", KEY },
#line 120 "nest/config.Y"
{ "passive", PASSIVE },
#line 120 "nest/config.Y"
{ "to", TO },
#line 120 "nest/config.Y"
{ "events", EVENTS },
#line 120 "nest/config.Y"
{ "packets", PACKETS },
#line 120 "nest/config.Y"
{ "protocols", PROTOCOLS },
#line 120 "nest/config.Y"
{ "channels", CHANNELS },
#line 120 "nest/config.Y"
{ "interfaces", INTERFACES },
#line 121 "nest/config.Y"
{ "algorithm", ALGORITHM },
#line 121 "nest/config.Y"
{ "keyed", KEYED },
#line 121 "nest/config.Y"
{ "hmac", HMAC },
#line 121 "nest/config.Y"
{ "md5", MD5 },
#line 121 "nest/config.Y"
{ "sha1", SHA1 },
#line 121 "nest/config.Y"
{ "sha256", SHA256 },
#line 121 "nest/config.Y"
{ "sha384", SHA384 },
#line 121 "nest/config.Y"
{ "sha512", SHA512 },
#line 121 "nest/config.Y"
{ "blake2s128", BLAKE2S128 },
#line 121 "nest/config.Y"
{ "blake2s256", BLAKE2S256 },
#line 121 "nest/config.Y"
{ "blake2b256", BLAKE2B256 },
#line 121 "nest/config.Y"
{ "blake2b512", BLAKE2B512 },
#line 122 "nest/config.Y"
{ "primary", PRIMARY },
#line 122 "nest/config.Y"
{ "stats", STATS },
#line 122 "nest/config.Y"
{ "count", COUNT },
#line 122 "nest/config.Y"
{ "commands", COMMANDS },
#line 122 "nest/config.Y"
{ "preexport", PREEXPORT },
#line 122 "nest/config.Y"
{ "noexport", NOEXPORT },
#line 122 "nest/config.Y"
{ "exported", EXPORTED },
#line 122 "nest/config.Y"
{ "generate", GENERATE },
#line 123 "nest/config.Y"
{ "bgp", BGP },
#line 123 "nest/config.Y"
{ "passwords", PASSWORDS },
#line 123 "nest/config.Y"
{ "description", DESCRIPTION },
#line 124 "nest/config.Y"
{ "reload", RELOAD },
#line 124 "nest/config.Y"
{ "out", OUT },
#line 124 "nest/config.Y"
{ "mrtdump", MRTDUMP },
#line 124 "nest/config.Y"
{ "messages", MESSAGES },
#line 124 "nest/config.Y"
{ "restrict", RESTRICT },
#line 124 "nest/config.Y"
{ "memory", MEMORY },
#line 124 "nest/config.Y"
{ "igp_metric", IGP_METRIC },
#line 124 "nest/config.Y"
{ "class", CLASS },
#line 125 "nest/config.Y"
{ "timeformat", TIMEFORMAT },
#line 125 "nest/config.Y"
{ "iso", ISO },
#line 125 "nest/config.Y"
{ "short", SHORT },
#line 125 "nest/config.Y"
{ "long", LONG },
#line 125 "nest/config.Y"
{ "route", ROUTE },
#line 125 "nest/config.Y"
{ "base", BASE },
#line 125 "nest/config.Y"
{ "log", LOG },
#line 126 "nest/config.Y"
{ "graceful", GRACEFUL },
#line 126 "nest/config.Y"
{ "wait", WAIT },
#line 127 "nest/config.Y"
{ "min", MIN },
#line 127 "nest/config.Y"
{ "idle", IDLE },
#line 127 "nest/config.Y"
{ "rx", RX },
#line 127 "nest/config.Y"
{ "tx", TX },
#line 127 "nest/config.Y"
{ "interval", INTERVAL },
#line 127 "nest/config.Y"
{ "multiplier", MULTIPLIER },
#line 128 "nest/config.Y"
{ "check", CHECK },
#line 128 "nest/config.Y"
{ "link", LINK },
#line 129 "nest/config.Y"
{ "sorted", SORTED },
#line 129 "nest/config.Y"
{ "trie", TRIE },
#line 129 "nest/config.Y"
{ "settle", SETTLE },
#line 129 "nest/config.Y"
{ "time", TIME },
#line 129 "nest/config.Y"
{ "gc", GC },
#line 129 "nest/config.Y"
{ "threshold", THRESHOLD },
#line 129 "nest/config.Y"
{ "period", PERIOD },
#line 130 "nest/config.Y"
{ "mpls_label", MPLS_LABEL },
#line 130 "nest/config.Y"
{ "mpls_policy", MPLS_POLICY },
#line 130 "nest/config.Y"
{ "mpls_class", MPLS_CLASS },
#line 133 "nest/config.Y"
{ "ipv4_mc", IPV4_MC },
#line 133 "nest/config.Y"
{ "ipv4_mpls", IPV4_MPLS },
#line 133 "nest/config.Y"
{ "ipv6_mc", IPV6_MC },
#line 133 "nest/config.Y"
{ "ipv6_mpls", IPV6_MPLS },
#line 133 "nest/config.Y"
{ "ipv6_sadr", IPV6_SADR },
#line 133 "nest/config.Y"
{ "vpn4_mc", VPN4_MC },
#line 133 "nest/config.Y"
{ "vpn4_mpls", VPN4_MPLS },
#line 133 "nest/config.Y"
{ "vpn6_mc", VPN6_MC },
#line 133 "nest/config.Y"
{ "vpn6_mpls", VPN6_MPLS },
#line 133 "nest/config.Y"
{ "pri", PRI },
#line 133 "nest/config.Y"
{ "sec", SEC },
#line 135 "nest/config.Y"
{ "RTS_STATIC", -((T_ENUM_RTS<<16) | RTS_STATIC) },
#line 135 "nest/config.Y"
{ "RTS_INHERIT", -((T_ENUM_RTS<<16) | RTS_INHERIT) },
#line 135 "nest/config.Y"
{ "RTS_DEVICE", -((T_ENUM_RTS<<16) | RTS_DEVICE) },
#line 135 "nest/config.Y"
{ "RTS_STATIC_DEVICE", -((T_ENUM_RTS<<16) | RTS_STATIC_DEVICE) },
#line 135 "nest/config.Y"
{ "RTS_REDIRECT", -((T_ENUM_RTS<<16) | RTS_REDIRECT) },
#line 135 "nest/config.Y"
{ "RTS_RIP", -((T_ENUM_RTS<<16) | RTS_RIP) },
#line 135 "nest/config.Y"
{ "RTS_OSPF", -((T_ENUM_RTS<<16) | RTS_OSPF) },
#line 135 "nest/config.Y"
{ "RTS_OSPF_IA", -((T_ENUM_RTS<<16) | RTS_OSPF_IA) },
#line 135 "nest/config.Y"
{ "RTS_OSPF_EXT1", -((T_ENUM_RTS<<16) | RTS_OSPF_EXT1) },
#line 135 "nest/config.Y"
{ "RTS_OSPF_EXT2", -((T_ENUM_RTS<<16) | RTS_OSPF_EXT2) },
#line 135 "nest/config.Y"
{ "RTS_BGP", -((T_ENUM_RTS<<16) | RTS_BGP) },
#line 135 "nest/config.Y"
{ "RTS_PIPE", -((T_ENUM_RTS<<16) | RTS_PIPE) },
#line 135 "nest/config.Y"
{ "RTS_BABEL", -((T_ENUM_RTS<<16) | RTS_BABEL) },
#line 135 "nest/config.Y"
{ "RTS_RPKI", -((T_ENUM_RTS<<16) | RTS_RPKI) },
#line 135 "nest/config.Y"
{ "RTS_L3VPN", -((T_ENUM_RTS<<16) | RTS_L3VPN) },
#line 135 "nest/config.Y"
{ "RTS_AGGREGATED", -((T_ENUM_RTS<<16) | RTS_AGGREGATED) },
#line 138 "nest/config.Y"
{ "SCOPE_HOST", -((T_ENUM_SCOPE<<16) | SCOPE_HOST) },
#line 138 "nest/config.Y"
{ "SCOPE_LINK", -((T_ENUM_SCOPE<<16) | SCOPE_LINK) },
#line 138 "nest/config.Y"
{ "SCOPE_SITE", -((T_ENUM_SCOPE<<16) | SCOPE_SITE) },
#line 138 "nest/config.Y"
{ "SCOPE_ORGANIZATION", -((T_ENUM_SCOPE<<16) | SCOPE_ORGANIZATION) },
#line 138 "nest/config.Y"
{ "SCOPE_UNIVERSE", -((T_ENUM_SCOPE<<16) | SCOPE_UNIVERSE) },
#line 138 "nest/config.Y"
{ "SCOPE_UNDEFINED", -((T_ENUM_SCOPE<<16) | SCOPE_UNDEFINED) },
#line 139 "nest/config.Y"
{ "RTD_UNICAST", -((T_ENUM_RTD<<16) | RTD_UNICAST) },
#line 139 "nest/config.Y"
{ "RTD_BLACKHOLE", -((T_ENUM_RTD<<16) | RTD_BLACKHOLE) },
#line 139 "nest/config.Y"
{ "RTD_UNREACHABLE", -((T_ENUM_RTD<<16) | RTD_UNREACHABLE) },
#line 139 "nest/config.Y"
{ "RTD_PROHIBIT", -((T_ENUM_RTD<<16) | RTD_PROHIBIT) },
#line 140 "nest/config.Y"
{ "ROA_UNKNOWN", -((T_ENUM_ROA<<16) | ROA_UNKNOWN) },
#line 140 "nest/config.Y"
{ "ROA_VALID", -((T_ENUM_ROA<<16) | ROA_VALID) },
#line 140 "nest/config.Y"
{ "ROA_INVALID", -((T_ENUM_ROA<<16) | ROA_INVALID) },
#line 141 "nest/config.Y"
{ "AF_IPV4", -((T_ENUM_AF<<16) | AFI_IPV4) },
#line 141 "nest/config.Y"
{ "AF_IPV6", -((T_ENUM_AF<<16) | AFI_IPV6) },
#line 142 "nest/config.Y"
{ "MPLS_POLICY_NONE", -((T_ENUM_MPLS_POLICY<<16) | MPLS_POLICY_NONE) },
#line 142 "nest/config.Y"
{ "MPLS_POLICY_STATIC", -((T_ENUM_MPLS_POLICY<<16) | MPLS_POLICY_STATIC) },
#line 142 "nest/config.Y"
{ "MPLS_POLICY_PREFIX", -((T_ENUM_MPLS_POLICY<<16) | MPLS_POLICY_PREFIX) },
#line 142 "nest/config.Y"
{ "MPLS_POLICY_AGGREGATE", -((T_ENUM_MPLS_POLICY<<16) | MPLS_POLICY_AGGREGATE) },
#line 142 "nest/config.Y"
{ "MPLS_POLICY_VRF", -((T_ENUM_MPLS_POLICY<<16) | MPLS_POLICY_VRF) },
#line 212 "nest/config.Y"
{ "NET_IP4", -((T_ENUM_NETTYPE<<16) | NET_IP4) },
#line 212 "nest/config.Y"
{ "NET_IP6", -((T_ENUM_NETTYPE<<16) | NET_IP6) },
#line 212 "nest/config.Y"
{ "NET_VPN4", -((T_ENUM_NETTYPE<<16) | NET_VPN4) },
#line 212 "nest/config.Y"
{ "NET_VPN6", -((T_ENUM_NETTYPE<<16) | NET_VPN6) },
#line 212 "nest/config.Y"
{ "NET_ROA4", -((T_ENUM_NETTYPE<<16) | NET_ROA4) },
#line 212 "nest/config.Y"
{ "NET_ROA6", -((T_ENUM_NETTYPE<<16) | NET_ROA6) },
#line 212 "nest/config.Y"
{ "NET_FLOW4", -((T_ENUM_NETTYPE<<16) | NET_FLOW4) },
#line 212 "nest/config.Y"
{ "NET_FLOW6", -((T_ENUM_NETTYPE<<16) | NET_FLOW6) },
#line 212 "nest/config.Y"
{ "NET_IP6_SADR", -((T_ENUM_NETTYPE<<16) | NET_IP6_SADR) },
#line 212 "nest/config.Y"
{ "NET_MPLS", -((T_ENUM_NETTYPE<<16) | NET_MPLS) },
#line 626 "nest/config.Y"
{ "show", SHOW },
#line 626 "nest/config.Y"
{ "status", STATUS },
#line 646 "nest/config.Y"
{ "summary", SUMMARY },
#line 858 "nest/config.Y"
{ "symbols", SYMBOLS },
#line 881 "nest/config.Y"
{ "dump", DUMP },
#line 881 "nest/config.Y"
{ "resources", RESOURCES },
#line 883 "nest/config.Y"
{ "sockets", SOCKETS },
#line 889 "nest/config.Y"
{ "neighbors", NEIGHBORS },
#line 891 "nest/config.Y"
{ "attributes", ATTRIBUTES },
#line 904 "nest/config.Y"
{ "echo", ECHO },
#line 925 "nest/config.Y"
{ "enable", ENABLE },
#line 23 "nest/mpls.Y"
{ "domain", DOMAIN },
#line 23 "nest/mpls.Y"
{ "range", RANGE },
#line 23 "nest/mpls.Y"
{ "static", STATIC },
#line 23 "nest/mpls.Y"
{ "dynamic", DYNAMIC },
#line 23 "nest/mpls.Y"
{ "start", START },
#line 23 "nest/mpls.Y"
{ "policy", POLICY },
#line 23 "nest/mpls.Y"
{ "aggregate", AGGREGATE },
#line 194 "nest/mpls.Y"
{ "ranges", RANGES },
#line 23 "proto/aggregator/config.Y"
{ "aggregator", AGGREGATOR },
#line 23 "proto/aggregator/config.Y"
{ "peer", PEER },
#line 23 "proto/aggregator/config.Y"
{ "merge", MERGE },
#line 23 "proto/aggregator/config.Y"
{ "by", BY },
#line 24 "proto/bfd/config.Y"
{ "bfd", BFD },
#line 24 "proto/bfd/config.Y"
{ "multihop", MULTIHOP },
#line 24 "proto/bfd/config.Y"
{ "neighbor", NEIGHBOR },
#line 24 "proto/bfd/config.Y"
{ "dev", DEV },
#line 24 "proto/bfd/config.Y"
{ "local", LOCAL },
#line 24 "proto/bfd/config.Y"
{ "authentication", AUTHENTICATION },
#line 24 "proto/bfd/config.Y"
{ "simple", SIMPLE },
#line 24 "proto/bfd/config.Y"
{ "meticulous", METICULOUS },
#line 24 "proto/bfd/config.Y"
{ "strict", STRICT },
#line 24 "proto/bfd/config.Y"
{ "bind", BIND },
#line 189 "proto/bfd/config.Y"
{ "sessions", SESSIONS },
#line 25 "proto/babel/config.Y"
{ "babel", BABEL },
#line 25 "proto/babel/config.Y"
{ "metric", METRIC },
#line 25 "proto/babel/config.Y"
{ "rxcost", RXCOST },
#line 25 "proto/babel/config.Y"
{ "hello", HELLO },
#line 25 "proto/babel/config.Y"
{ "update", UPDATE },
#line 25 "proto/babel/config.Y"
{ "wired", WIRED },
#line 25 "proto/babel/config.Y"
{ "wireless", WIRELESS },
#line 25 "proto/babel/config.Y"
{ "buffer", BUFFER },
#line 25 "proto/babel/config.Y"
{ "priority", PRIORITY },
#line 25 "proto/babel/config.Y"
{ "hop", HOP },
#line 25 "proto/babel/config.Y"
{ "babel_metric", BABEL_METRIC },
#line 25 "proto/babel/config.Y"
{ "entries", ENTRIES },
#line 25 "proto/babel/config.Y"
{ "randomize", RANDOMIZE },
#line 25 "proto/babel/config.Y"
{ "mac", MAC },
#line 25 "proto/babel/config.Y"
{ "permissive", PERMISSIVE },
#line 25 "proto/babel/config.Y"
{ "extended", EXTENDED },
#line 25 "proto/babel/config.Y"
{ "tunnel", TUNNEL },
#line 25 "proto/babel/config.Y"
{ "rtt", RTT },
#line 25 "proto/babel/config.Y"
{ "decay", DECAY },
#line 25 "proto/babel/config.Y"
{ "send", SEND },
#line 25 "proto/babel/config.Y"
{ "timestamps", TIMESTAMPS },
#line 25 "proto/babel/config.Y"
{ "cost", COST },
#line 25 "proto/babel/config.Y"
{ "delay", DELAY },
#line 20 "proto/bgp/config.Y"
{ "hold", HOLD },
#line 20 "proto/bgp/config.Y"
{ "connect", CONNECT },
#line 20 "proto/bgp/config.Y"
{ "retry", RETRY },
#line 20 "proto/bgp/config.Y"
{ "keepalive", KEEPALIVE },
#line 20 "proto/bgp/config.Y"
{ "startup", STARTUP },
#line 20 "proto/bgp/config.Y"
{ "via", VIA },
#line 20 "proto/bgp/config.Y"
{ "self", SELF },
#line 20 "proto/bgp/config.Y"
{ "path", PATH },
#line 20 "proto/bgp/config.Y"
{ "forget", FORGET },
#line 20 "proto/bgp/config.Y"
{ "after", AFTER },
#line 20 "proto/bgp/config.Y"
{ "bgp_path", BGP_PATH },
#line 20 "proto/bgp/config.Y"
{ "bgp_local_pref", BGP_LOCAL_PREF },
#line 20 "proto/bgp/config.Y"
{ "bgp_med", BGP_MED },
#line 20 "proto/bgp/config.Y"
{ "bgp_origin", BGP_ORIGIN },
#line 20 "proto/bgp/config.Y"
{ "bgp_next_hop", BGP_NEXT_HOP },
#line 20 "proto/bgp/config.Y"
{ "bgp_atomic_aggr", BGP_ATOMIC_AGGR },
#line 20 "proto/bgp/config.Y"
{ "bgp_aggregator", BGP_AGGREGATOR },
#line 20 "proto/bgp/config.Y"
{ "bgp_community", BGP_COMMUNITY },
#line 20 "proto/bgp/config.Y"
{ "bgp_ext_community", BGP_EXT_COMMUNITY },
#line 20 "proto/bgp/config.Y"
{ "bgp_large_community", BGP_LARGE_COMMUNITY },
#line 20 "proto/bgp/config.Y"
{ "address", ADDRESS },
#line 20 "proto/bgp/config.Y"
{ "rr", RR },
#line 20 "proto/bgp/config.Y"
{ "rs", RS },
#line 20 "proto/bgp/config.Y"
{ "client", CLIENT },
#line 20 "proto/bgp/config.Y"
{ "cluster", CLUSTER },
#line 20 "proto/bgp/config.Y"
{ "as4", AS4 },
#line 20 "proto/bgp/config.Y"
{ "advertise", ADVERTISE },
#line 20 "proto/bgp/config.Y"
{ "capabilities", CAPABILITIES },
#line 20 "proto/bgp/config.Y"
{ "prefer", PREFER },
#line 20 "proto/bgp/config.Y"
{ "older", OLDER },
#line 20 "proto/bgp/config.Y"
{ "missing", MISSING },
#line 20 "proto/bgp/config.Y"
{ "lladdr", LLADDR },
#line 20 "proto/bgp/config.Y"
{ "drop", DROP },
#line 20 "proto/bgp/config.Y"
{ "ignore", IGNORE },
#line 20 "proto/bgp/config.Y"
{ "enhanced", ENHANCED },
#line 20 "proto/bgp/config.Y"
{ "refresh", REFRESH },
#line 20 "proto/bgp/config.Y"
{ "interpret", INTERPRET },
#line 20 "proto/bgp/config.Y"
{ "communities", COMMUNITIES },
#line 20 "proto/bgp/config.Y"
{ "bgp_originator_id", BGP_ORIGINATOR_ID },
#line 20 "proto/bgp/config.Y"
{ "bgp_cluster_list", BGP_CLUSTER_LIST },
#line 20 "proto/bgp/config.Y"
{ "igp", IGP },
#line 20 "proto/bgp/config.Y"
{ "gateway", GATEWAY },
#line 20 "proto/bgp/config.Y"
{ "recursive", RECURSIVE },
#line 20 "proto/bgp/config.Y"
{ "med", MED },
#line 20 "proto/bgp/config.Y"
{ "ttl", TTL },
#line 20 "proto/bgp/config.Y"
{ "security", SECURITY },
#line 20 "proto/bgp/config.Y"
{ "deterministic", DETERMINISTIC },
#line 20 "proto/bgp/config.Y"
{ "secondary", SECONDARY },
#line 20 "proto/bgp/config.Y"
{ "allow", ALLOW },
#line 20 "proto/bgp/config.Y"
{ "paths", PATHS },
#line 20 "proto/bgp/config.Y"
{ "aware", AWARE },
#line 20 "proto/bgp/config.Y"
{ "setkey", SETKEY },
#line 20 "proto/bgp/config.Y"
{ "confederation", CONFEDERATION },
#line 20 "proto/bgp/config.Y"
{ "member", MEMBER },
#line 20 "proto/bgp/config.Y"
{ "multicast", MULTICAST },
#line 20 "proto/bgp/config.Y"
{ "lived", LIVED },
#line 20 "proto/bgp/config.Y"
{ "stale", STALE },
#line 20 "proto/bgp/config.Y"
{ "ibgp", IBGP },
#line 20 "proto/bgp/config.Y"
{ "ebgp", EBGP },
#line 20 "proto/bgp/config.Y"
{ "mandatory", MANDATORY },
#line 20 "proto/bgp/config.Y"
{ "internal", INTERNAL },
#line 20 "proto/bgp/config.Y"
{ "external", EXTERNAL },
#line 20 "proto/bgp/config.Y"
{ "sets", SETS },
#line 20 "proto/bgp/config.Y"
{ "name", NAME },
#line 20 "proto/bgp/config.Y"
{ "digits", DIGITS },
#line 20 "proto/bgp/config.Y"
{ "bgp_aigp", BGP_AIGP },
#line 20 "proto/bgp/config.Y"
{ "aigp", AIGP },
#line 20 "proto/bgp/config.Y"
{ "originate", ORIGINATE },
#line 20 "proto/bgp/config.Y"
{ "enforce", ENFORCE },
#line 20 "proto/bgp/config.Y"
{ "first", FIRST },
#line 20 "proto/bgp/config.Y"
{ "free", FREE },
#line 20 "proto/bgp/config.Y"
{ "validate", VALIDATE },
#line 20 "proto/bgp/config.Y"
{ "role", ROLE },
#line 20 "proto/bgp/config.Y"
{ "roles", ROLES },
#line 20 "proto/bgp/config.Y"
{ "provider", PROVIDER },
#line 20 "proto/bgp/config.Y"
{ "customer", CUSTOMER },
#line 20 "proto/bgp/config.Y"
{ "rs_server", RS_SERVER },
#line 20 "proto/bgp/config.Y"
{ "rs_client", RS_CLIENT },
#line 20 "proto/bgp/config.Y"
{ "require", REQUIRE },
#line 20 "proto/bgp/config.Y"
{ "bgp_otc", BGP_OTC },
#line 20 "proto/bgp/config.Y"
{ "global", GLOBAL },
#line 40 "proto/bgp/config.Y"
{ "cease", CEASE },
#line 40 "proto/bgp/config.Y"
{ "hit", HIT },
#line 40 "proto/bgp/config.Y"
{ "administrative", ADMINISTRATIVE },
#line 40 "proto/bgp/config.Y"
{ "shutdown", SHUTDOWN },
#line 40 "proto/bgp/config.Y"
{ "configuration", CONFIGURATION },
#line 40 "proto/bgp/config.Y"
{ "change", CHANGE },
#line 40 "proto/bgp/config.Y"
{ "deconfigured", DECONFIGURED },
#line 40 "proto/bgp/config.Y"
{ "connection", CONNECTION },
#line 40 "proto/bgp/config.Y"
{ "rejected", REJECTED },
#line 40 "proto/bgp/config.Y"
{ "collision", COLLISION },
#line 40 "proto/bgp/config.Y"
{ "of", OF },
#line 394 "proto/bgp/config.Y"
{ "ORIGIN_IGP", -((T_ENUM_BGP_ORIGIN<<16) | ORIGIN_IGP) },
#line 394 "proto/bgp/config.Y"
{ "ORIGIN_EGP", -((T_ENUM_BGP_ORIGIN<<16) | ORIGIN_EGP) },
#line 394 "proto/bgp/config.Y"
{ "ORIGIN_INCOMPLETE", -((T_ENUM_BGP_ORIGIN<<16) | ORIGIN_INCOMPLETE) },
#line 42 "proto/l3vpn/config.Y"
{ "l3vpn", L3VPN },
#line 42 "proto/l3vpn/config.Y"
{ "target", TARGET },
#line 42 "proto/l3vpn/config.Y"
{ "distinguisher", DISTINGUISHER },
#line 20 "proto/mrt/config.Y"
{ "mrt", MRT },
#line 20 "proto/mrt/config.Y"
{ "filename", FILENAME },
#line 20 "proto/mrt/config.Y"
{ "always", ALWAYS },
#line 193 "proto/ospf/config.Y"
{ "v2", V2 },
#line 193 "proto/ospf/config.Y"
{ "v3", V3 },
#line 194 "proto/ospf/config.Y"
{ "ospf", OSPF },
#line 194 "proto/ospf/config.Y"
{ "ospf_metric1", OSPF_METRIC1 },
#line 194 "proto/ospf/config.Y"
{ "ospf_metric2", OSPF_METRIC2 },
#line 194 "proto/ospf/config.Y"
{ "ospf_tag", OSPF_TAG },
#line 194 "proto/ospf/config.Y"
{ "ospf_router_id", OSPF_ROUTER_ID },
#line 195 "proto/ospf/config.Y"
{ "area", AREA },
#line 195 "proto/ospf/config.Y"
{ "rfc1583compat", RFC1583COMPAT },
#line 195 "proto/ospf/config.Y"
{ "stub", STUB },
#line 195 "proto/ospf/config.Y"
{ "tick", TICK },
#line 195 "proto/ospf/config.Y"
{ "cost2", COST2 },
#line 195 "proto/ospf/config.Y"
{ "retransmit", RETRANSMIT },
#line 196 "proto/ospf/config.Y"
{ "transmit", TRANSMIT },
#line 196 "proto/ospf/config.Y"
{ "dead", DEAD },
#line 196 "proto/ospf/config.Y"
{ "broadcast", BROADCAST },
#line 196 "proto/ospf/config.Y"
{ "bcast", BCAST },
#line 197 "proto/ospf/config.Y"
{ "nonbroadcast", NONBROADCAST },
#line 197 "proto/ospf/config.Y"
{ "nbma", NBMA },
#line 197 "proto/ospf/config.Y"
{ "pointopoint", POINTOPOINT },
#line 197 "proto/ospf/config.Y"
{ "ptp", PTP },
#line 197 "proto/ospf/config.Y"
{ "pointomultipoint", POINTOMULTIPOINT },
#line 197 "proto/ospf/config.Y"
{ "ptmp", PTMP },
#line 198 "proto/ospf/config.Y"
{ "cryptographic", CRYPTOGRAPHIC },
#line 199 "proto/ospf/config.Y"
{ "eligible", ELIGIBLE },
#line 199 "proto/ospf/config.Y"
{ "poll", POLL },
#line 199 "proto/ospf/config.Y"
{ "networks", NETWORKS },
#line 199 "proto/ospf/config.Y"
{ "hidden", HIDDEN },
#line 199 "proto/ospf/config.Y"
{ "virtual", VIRTUAL },
#line 199 "proto/ospf/config.Y"
{ "only", ONLY },
#line 200 "proto/ospf/config.Y"
{ "large", LARGE },
#line 200 "proto/ospf/config.Y"
{ "normal", NORMAL },
#line 200 "proto/ospf/config.Y"
{ "stubnet", STUBNET },
#line 200 "proto/ospf/config.Y"
{ "tag", TAG },
#line 201 "proto/ospf/config.Y"
{ "lsadb", LSADB },
#line 201 "proto/ospf/config.Y"
{ "ecmp", ECMP },
#line 201 "proto/ospf/config.Y"
{ "nssa", NSSA },
#line 201 "proto/ospf/config.Y"
{ "translator", TRANSLATOR },
#line 201 "proto/ospf/config.Y"
{ "stability", STABILITY },
#line 202 "proto/ospf/config.Y"
{ "lsid", LSID },
#line 202 "proto/ospf/config.Y"
{ "instance", INSTANCE },
#line 202 "proto/ospf/config.Y"
{ "real", REAL },
#line 202 "proto/ospf/config.Y"
{ "netmask", NETMASK },
#line 203 "proto/ospf/config.Y"
{ "lsa", LSA },
#line 203 "proto/ospf/config.Y"
{ "suppression", SUPPRESSION },
#line 203 "proto/ospf/config.Y"
{ "rfc5838", RFC5838 },
#line 203 "proto/ospf/config.Y"
{ "pe", PE },
#line 526 "proto/ospf/config.Y"
{ "topology", TOPOLOGY },
#line 534 "proto/ospf/config.Y"
{ "state", STATE },
#line 20 "proto/perf/config.Y"
{ "perf", PERF },
#line 20 "proto/perf/config.Y"
{ "exp", EXP },
#line 20 "proto/perf/config.Y"
{ "repeat", REPEAT },
#line 20 "proto/perf/config.Y"
{ "mode", MODE },
#line 19 "proto/pipe/config.Y"
{ "pipe", PIPE },
#line 40 "proto/radv/config.Y"
{ "radv", RADV },
#line 40 "proto/radv/config.Y"
{ "ra", RA },
#line 40 "proto/radv/config.Y"
{ "solicited", SOLICITED },
#line 40 "proto/radv/config.Y"
{ "unicast", UNICAST },
#line 40 "proto/radv/config.Y"
{ "managed", MANAGED },
#line 40 "proto/radv/config.Y"
{ "other", OTHER },
#line 40 "proto/radv/config.Y"
{ "config", CONFIG },
#line 40 "proto/radv/config.Y"
{ "linger", LINGER },
#line 40 "proto/radv/config.Y"
{ "mtu", MTU },
#line 40 "proto/radv/config.Y"
{ "reachable", REACHABLE },
#line 40 "proto/radv/config.Y"
{ "retrans", RETRANS },
#line 40 "proto/radv/config.Y"
{ "timer", TIMER },
#line 40 "proto/radv/config.Y"
{ "current", CURRENT },
#line 40 "proto/radv/config.Y"
{ "valid", VALID },
#line 40 "proto/radv/config.Y"
{ "preferred", PREFERRED },
#line 40 "proto/radv/config.Y"
{ "mult", MULT },
#line 40 "proto/radv/config.Y"
{ "lifetime", LIFETIME },
#line 40 "proto/radv/config.Y"
{ "skip", SKIP },
#line 40 "proto/radv/config.Y"
{ "autonomous", AUTONOMOUS },
#line 40 "proto/radv/config.Y"
{ "rdnss", RDNSS },
#line 40 "proto/radv/config.Y"
{ "dnssl", DNSSL },
#line 40 "proto/radv/config.Y"
{ "ns", NS },
#line 40 "proto/radv/config.Y"
{ "trigger", TRIGGER },
#line 40 "proto/radv/config.Y"
{ "sensitive", SENSITIVE },
#line 40 "proto/radv/config.Y"
{ "low", LOW },
#line 40 "proto/radv/config.Y"
{ "medium", MEDIUM },
#line 40 "proto/radv/config.Y"
{ "high", HIGH },
#line 40 "proto/radv/config.Y"
{ "propagate", PROPAGATE },
#line 40 "proto/radv/config.Y"
{ "ra_preference", RA_PREFERENCE },
#line 40 "proto/radv/config.Y"
{ "ra_lifetime", RA_LIFETIME },
#line 40 "proto/radv/config.Y"
{ "custom", CUSTOM },
#line 40 "proto/radv/config.Y"
{ "option", OPTION },
#line 40 "proto/radv/config.Y"
{ "value", VALUE },
#line 47 "proto/radv/config.Y"
{ "RA_PREF_LOW", -((T_ENUM_RA_PREFERENCE<<16) | RA_PREF_LOW) },
#line 47 "proto/radv/config.Y"
{ "RA_PREF_MEDIUM", -((T_ENUM_RA_PREFERENCE<<16) | RA_PREF_MEDIUM) },
#line 47 "proto/radv/config.Y"
{ "RA_PREF_HIGH", -((T_ENUM_RA_PREFERENCE<<16) | RA_PREF_HIGH) },
#line 35 "proto/rip/config.Y"
{ "ng", NG },
#line 36 "proto/rip/config.Y"
{ "rip", RIP },
#line 36 "proto/rip/config.Y"
{ "infinity", INFINITY },
#line 36 "proto/rip/config.Y"
{ "timeout", TIMEOUT },
#line 36 "proto/rip/config.Y"
{ "garbage", GARBAGE },
#line 36 "proto/rip/config.Y"
{ "version", VERSION },
#line 36 "proto/rip/config.Y"
{ "split", SPLIT },
#line 36 "proto/rip/config.Y"
{ "horizon", HORIZON },
#line 36 "proto/rip/config.Y"
{ "poison", POISON },
#line 36 "proto/rip/config.Y"
{ "reverse", REVERSE },
#line 36 "proto/rip/config.Y"
{ "zero", ZERO },
#line 36 "proto/rip/config.Y"
{ "plaintext", PLAINTEXT },
#line 36 "proto/rip/config.Y"
{ "demand", DEMAND },
#line 36 "proto/rip/config.Y"
{ "circuit", CIRCUIT },
#line 36 "proto/rip/config.Y"
{ "rip_metric", RIP_METRIC },
#line 36 "proto/rip/config.Y"
{ "rip_tag", RIP_TAG },
#line 34 "proto/rpki/config.Y"
{ "remote", REMOTE },
#line 34 "proto/rpki/config.Y"
{ "bird", BIRD },
#line 34 "proto/rpki/config.Y"
{ "private", PRIVATE },
#line 34 "proto/rpki/config.Y"
{ "public", PUBLIC },
#line 34 "proto/rpki/config.Y"
{ "ssh", SSH },
#line 34 "proto/rpki/config.Y"
{ "transport", TRANSPORT },
#line 34 "proto/rpki/config.Y"
{ "user", USER },
#line 34 "proto/rpki/config.Y"
{ "expire", EXPIRE },
#line 48 "proto/static/config.Y"
{ "prohibit", PROHIBIT },
#line 49 "proto/static/config.Y"
{ "blackhole", BLACKHOLE },
#line 49 "proto/static/config.Y"
{ "unreachable", UNREACHABLE },
#line 13 "sysdep/linux/netlink.Y"
{ "kernel", KERNEL },
#line 13 "sysdep/linux/netlink.Y"
{ "netlink", NETLINK },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_prefsrc", KRT_PREFSRC },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_realm", KRT_REALM },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_scope", KRT_SCOPE },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_mtu", KRT_MTU },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_window", KRT_WINDOW },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_rtt", KRT_RTT },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_rttvar", KRT_RTTVAR },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_ssthresh", KRT_SSTHRESH },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_cwnd", KRT_CWND },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_advmss", KRT_ADVMSS },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_reordering", KRT_REORDERING },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_hoplimit", KRT_HOPLIMIT },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_initcwnd", KRT_INITCWND },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_rto_min", KRT_RTO_MIN },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_initrwnd", KRT_INITRWND },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_quickack", KRT_QUICKACK },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_congctl", KRT_CONGCTL },
#line 13 "sysdep/linux/netlink.Y"
{ "krt_fastopen_no_cookie", KRT_FASTOPEN_NO_COOKIE },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_mtu", KRT_LOCK_MTU },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_window", KRT_LOCK_WINDOW },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_rtt", KRT_LOCK_RTT },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_rttvar", KRT_LOCK_RTTVAR },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_ssthresh", KRT_LOCK_SSTHRESH },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_cwnd", KRT_LOCK_CWND },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_advmss", KRT_LOCK_ADVMSS },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_reordering", KRT_LOCK_REORDERING },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_hoplimit", KRT_LOCK_HOPLIMIT },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_initcwnd", KRT_LOCK_INITCWND },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_rto_min", KRT_LOCK_RTO_MIN },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_initrwnd", KRT_LOCK_INITRWND },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_quickack", KRT_LOCK_QUICKACK },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_congctl", KRT_LOCK_CONGCTL },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_lock_fastopen_no_cookie", KRT_LOCK_FASTOPEN_NO_COOKIE },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_feature_ecn", KRT_FEATURE_ECN },
#line 19 "sysdep/linux/netlink.Y"
{ "krt_feature_allfrag", KRT_FEATURE_ALLFRAG },
#line 26 "sysdep/linux/netlink.Y"
{ "krt_sstresh", KRT_SSTRESH },
#line 26 "sysdep/linux/netlink.Y"
{ "krt_lock_sstresh", KRT_LOCK_SSTRESH },
#line 20 "sysdep/unix/config.Y"
{ "syslog", SYSLOG },
#line 20 "sysdep/unix/config.Y"
{ "stderr", STDERR },
#line 20 "sysdep/unix/config.Y"
{ "udp", UDP },
#line 21 "sysdep/unix/config.Y"
{ "trace", TRACE },
#line 21 "sysdep/unix/config.Y"
{ "info", INFO },
#line 21 "sysdep/unix/config.Y"
{ "warning", WARNING },
#line 21 "sysdep/unix/config.Y"
{ "auth", AUTH },
#line 21 "sysdep/unix/config.Y"
{ "fatal", FATAL },
#line 21 "sysdep/unix/config.Y"
{ "bug", BUG },
#line 22 "sysdep/unix/config.Y"
{ "latency", LATENCY },
#line 22 "sysdep/unix/config.Y"
{ "watchdog", WATCHDOG },
#line 22 "sysdep/unix/config.Y"
{ "threads", THREADS },
#line 141 "sysdep/unix/config.Y"
{ "configure", CONFIGURE },
#line 144 "sysdep/unix/config.Y"
{ "soft", SOFT },
#line 151 "sysdep/unix/config.Y"
{ "confirm", CONFIRM },
#line 154 "sysdep/unix/config.Y"
{ "undo", UNDO },
#line 163 "sysdep/unix/config.Y"
{ "down", DOWN },
#line 32 "sysdep/unix/krt.Y"
{ "persist", PERSIST },
#line 32 "sysdep/unix/krt.Y"
{ "scan", SCAN },
#line 32 "sysdep/unix/krt.Y"
{ "learn", LEARN },
#line 32 "sysdep/unix/krt.Y"
{ "device", DEVICE },
#line 32 "sysdep/unix/krt.Y"
{ "krt_source", KRT_SOURCE },
#line 32 "sysdep/unix/krt.Y"
{ "krt_metric", KRT_METRIC },
#line 44 "conf/gen_keywords.m4"
{ NULL, -1 } };
